## gnucash 1.3.4

=== src/examples/Makefile ===

CFLAGS := -I.. \
          -I../.. \
          -I../engine \
          -I../register \
          -I./../../include

CFLAGS  += -g -O2 -Wall -Wno-unused
LIBENG  := ../libengine.a
LOADLIBES := ${LIBENG} -lreadline -lm

all: xacc-shell
CLEANFILES += xacc-shell

clean:
	rm -f *.o *~ *.bak ${CLEANFILES}

# Local Variables:
# tab-width: 2
# End:

=== raw/ofx/parser/Makefile ===

SPPATH= /home/linas/tools/sp-1.3

LIBPATH = -L $(SPPATH)/lib
INCLUDES= -I $(SPPATH)/include -I $(SPPATH)/generic -I/usr/include/g++
# CFLAGS= -ansi -fno-implicit-templates -O2
# CFLAGS= -g -fno-implicit-templates 
CFLAGS= -g 

DEFINES= -DSP_HAVE_BOOL -DSP_ANSI_CLASS_INST -DSP_MULTI_BYTE
# WARN=-Wall -Wno-reorder -Wwrite-strings -Wpointer-arith -Wnested-externs -Woverloaded-virtual -Wbad-function-cast


all: pfxUtils.o junk.o

junk.C:	parseOfx
	parseOfx ../dtd/ofxmain.dtd > junk.C

parseDtd: parseDtd.o DtdParser.o 
	cc -o parseDtd parseDtd.o DtdParser.o $(LIBPATH) -lsp

parseOfx: parseOfx.o pfxBaseTypes.o pfxLangOut.o pfxCompTypes.o pfxUtils.o DtdParser.o 
	cc -o parseOfx parseOfx.o pfxBaseTypes.o pfxLangOut.o \
		pfxCompTypes.o pfxUtils.o DtdParser.o $(LIBPATH) -lsp -lg++


simple:	simple.o
	cc -o simple simple.o $(LIBPATH) -lsp 

.C.o:
	cc $(CFLAGS) $(DEFINES) $(WARN) -c $< $(INCLUDES)


# parseDtd.o: parseDtd.cxx
#	cc -c parseDtd.cxx

## gnucash 2.4.0

=== debian/changelog ===
gnucash (1:2.4.0-3) experimental; urgency=low

  * Enable SQL support (closes: #232334)

 -- Micha Lenk <micha@debian.org>  Mon, 10 Jan 2011 22:21:51 +0100

gnucash (1:2.4.0-2) experimental; urgency=low

  * Increased epoch to cater for accidental upload of gnucash 2.4.0-1 to
    unstable (closes: #608630).
  * Let binary package gnucash depend on packages slib and guile-1.6-slib
    (closes: #608602).

 -- Micha Lenk <micha@debian.org>  Sun, 02 Jan 2011 12:53:48 +0100

gnucash (2.4.0-1) unstable; urgency=low

  * New upstream version (closes: #607887).
  * Removed obsolete files in debian/*.
  * Removed all current patches (applied upstream).
  * Switched to debhelper 8 and dh based debian/rules.
  * Switched to dpkg-source 3.0 (quilt) format.
  * Registered gnucash-design.info properly (closes: #476895).
  * Remove build-time generated symlinks in clean target.
  * debian/control: Updated (build) dependencies.
  * Updated debian/copyright.
  * Updated debian/watch file.
  * Install archived upstream ChangeLogs too.
  * Install upstream examples by debhelper.
  * Switch to AqBanking 5.x.
  * Convince the upstream build system that we are NOT building from
    git (adds 001_disable_BUILDING_FROM_SVN_debian.patch).
  * debian/gnucash-common.manpages: adapt path for gnucash manpage and
    drop manpage for obsolete gnc-prices.
  * Install binary gnucash only.

 -- Micha Lenk <micha@debian.org>  Thu, 30 Dec 2010 19:44:10 +0100

gnucash (2.2.9-10) unstable; urgency=low

  * Don't ship gnc-test-env, only needed at build time (closes: #603329,
    CVE-2010-3999)

 -- Micha Lenk <micha@debian.org>  Wed, 01 Dec 2010 23:39:17 +0100

gnucash (2.2.9-9) unstable; urgency=low

  * Added patch 13_fix_double_edit_segfault_bug_593856.dpatch to fix
    segfault in transaction editing (closes: #593856).
  * Increased version in build-dep on libglib2.0-dev to avoid segfault on open
    (Debian bug #587743) if gnucash is built with older libglib2.0-dev versions
    (makes backporting easier).

 -- Micha Lenk <micha@debian.org>  Mon, 01 Nov 2010 12:43:22 +0100

gnucash (2.2.9-8) unstable; urgency=low

  * Fix package name in message about missing AqBanking wizard
    (closes: #589039).
  * 12_do_not_accidentally_delete_main_account_file_bug_525549.dpatch
    added (closes: #525549).
  * Added shlibs.local entry for libgoffice-0.8-8 because this library
    provides a shlibs file unconditionally tied to the upstream version (which
    is more than required by Gnucash). This is a workaround for Debian bug
    #599225 and should facilitate transition to testing w/o upload via t-p-u.

 -- Micha Lenk <micha@debian.org>  Sun, 10 Oct 2010 14:19:22 +0200

gnucash (2.2.9-7) unstable; urgency=low

  * Added patch 11_migrate_AqBanking_configuration_bug_593544.dpatch for
    migrating old AqBanking configuration on upgrade (closes: #593544).

 -- Micha Lenk <micha@debian.org>  Thu, 19 Aug 2010 09:40:23 +0200

gnucash (2.2.9-6) unstable; urgency=low

  * Added patch 10_fix_broken_SCIM_input_bug_587298 to fix SCIM input
    problems (closes: #587298, LP: #520976)

 -- Micha Lenk <micha@debian.org>  Sun, 27 Jun 2010 20:11:53 +0200

gnucash (2.2.9-5) unstable; urgency=low

  * Transition build-dep from libgoffice-0-8-dev to libgoffice-0.8-dev
    (Closes: #573678, #574113)

 -- Micha Lenk <micha@debian.org>  Wed, 17 Mar 2010 20:50:55 +0100

gnucash (2.2.9-4) unstable; urgency=low

  * Re-enabled patch 03_goffice_0-7-5_support and replaced patch
    03_disable_graphing_support contributed by Jean-Louis Dupond's patch
    03_goffice_0-8_support from Ubuntu's merge request #521217.
    This enables graphing support again (closes: #567208).
  * Package is compliant to Debian Policy 3.8.4 (no changes needed)

 -- Micha Lenk <micha@debian.org>  Sat, 13 Feb 2010 15:08:57 +0100

gnucash (2.2.9-3) unstable; urgency=low

  * Added patch 03_disable_graphing_support, disable graphing support in order
    to make Gnucash 2.2.9 build with libgoffice-0-8-dev (closes: #498775).
    Thanks to Thomas Themel <thomas@themel.com> for an initial patch version.
  * Added build-dependency on libltdl-dev for /usr/lib/libltdl.la
    (closes: #562380)
  * Removed obsolete deps on psfontmgr and x-ttcidfont-conf (closes: #561829)
  * Dropped build-dependency on libgnomeprint (closes: #542556), obsoleted by
    gtkhtml3.14

 -- Micha Lenk <micha@debian.org>  Wed, 27 Jan 2010 23:46:22 +0100

gnucash (2.2.9-2) unstable; urgency=low

  * Changes in debian/control:
    + switched build-dependency from libgtkhtml3.8-dev to libgtk3.14-dev
      (closes: #542017)
    + Introduced binary package gnucash-dbg with debug symbols
    + gnucash: droppped obsolete Suggests: gnucash-sql (closes: #496928)
    + inserted coin ("money") into short package descriptions (closes: #492380)
  * Changes in debian/rules:
    + added call to dh_desktop (closes: #494638)
    + added --dbg-package=gnucash-dbg to dh_strip
  * Added patch 05_missing_mnemonic_r18419_bug_548371 written by
    Matt Kraai <kraai@ftbfs.org> and Gabor Karsay fixing missing mnemonics
    (closes: #548371, LP: #483716)
  * Switched to debhelper 5 (needed for package gnucash-dbg)
  * Removed some unused and outdated debian/* files

 -- Micha Lenk <micha@debian.org>  Tue, 01 Dec 2009 12:36:47 +0100

gnucash (2.2.9-1) unstable; urgency=low

  * debian/control:
    + Added myself to Uploaders
    + Added Vcs-{Browser,Git} fields
    + Added homepage field
    + debian/control: Splitted (build-)dependencies into multiple lines
    + Package complies to standards version 3.8.3 (except for #556245)
    + Added build-dep on patch system dpatch for easier patch management
  * Update to current menu structure (closes: #445049)
  * Added debian/watch file (closes: #519994)
  * Added patch 04_renew-gui from upstream SVN (closes: #548795)
  * debian/rules: Re-worked clean target to not ignore errors where
    there are none (Closes: #494639).

 -- Micha Lenk <micha@debian.org>  Sat, 21 Nov 2009 20:42:13 +0100



=== debian/control ===
Source: gnucash
Section: gnome
Priority: optional
Maintainer: Thomas Bushnell, BSG <tb@debian.org>
Uploaders: Micha Lenk <micha@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 8), intltool, pkg-config,
  libglib2.0-dev (>= 2.6.0), guile-1.6-dev, guile-1.6-slib,
  libgconf2-dev, libxml2-dev (>= 2.5.10), zlib1g-dev, libofx-dev,
  libaqbanking33-dev, libpopt-dev (>= 1.5), libgtk2.0-dev (>= 2.6),
  libgnomeui-dev (>= 2.4), libglade2-dev (>= 2.4), libgoffice-0.8-dev,
  libgtkhtml3.14-dev, libltdl-dev, libdbi0-dev
Homepage: http://www.gnucash.org/
Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash.git
Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash.git

Package: gnucash
Architecture: any
Depends: gnucash-common (>= ${source:Version}), ${shlibs:Depends},
  ${misc:Depends}, ${perl:Depends}, slib, guile-1.6-slib
Recommends: gnucash-docs
Replaces: gnucash-common (<< 1.9.8-1)
Description: A personal finance and money tracking program
 Gnucash can track finances in multiple accounts, keeping running
 and reconciled balances. It has an X based graphical user interface,
 double entry, a hierarchy of accounts, expense accounts (categories),
 and can import Quicken QIF files and OFX files.

Package: gnucash-dbg
Section: debug
Priority: extra
Architecture: any
Depends: gnucash (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Gnucash
 Gnucash can track finances in multiple accounts, keeping running
 and reconciled balances. It has an X based graphical user interface,
 double entry, a hierarchy of accounts, expense accounts (categories),
 and can import Quicken QIF files and OFX files.
 .
 This package contains debugging symbols needed for debugging gnucash.

Package: gnucash-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: gnucash (<< ${source:Version})
Recommends: gnucash (>= ${source:Version})
Description: A personal finance and money tracking program
 Gnucash can track finances in multiple accounts, keeping running
 and reconciled balances. It has an X based graphical user interface,
 double entry, a hierarchy of accounts, expense accounts (categories),
 and can import Quicken QIF files and OFX files, and interact with HBCI
 banks.
 .
 This package contains the architecture independent portions of gnucash.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS=

# Avoid some error messages when running "make install"
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# Hack for Gnucash build system
export BUILDING_FROM_SVN=false

%:
	dh  $@

clean:
	[ ! -e Makefile ] || $(MAKE) clean
	dh_clean
	find . -type l -exec rm -v \{\} \;

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib/gnucash \
		--libexecdir=/usr/lib \
		--infodir=/noinst \
		--mandir=/noinst \
		--docdir=/noinst \
		--with-gconf-schema-file-dir=/usr/share/gconf/schemas \
		--disable-static \
		--enable-debug \
		--enable-dbi \
		--enable-ofx \
		--enable-aqbanking \
		--enable-locale-specific-tax

install:	build
	dh install
	dh_testdir debian/gnucash-common/usr/share/applications/gnucash.desktop
	sed -i '/^Exec=/s/=/=\/usr\/bin\//' debian/gnucash-common/usr/share/applications/gnucash.desktop
	dh_gconf

override_dh_auto_test:

override_dh_strip:
	dh_strip --dbg-package=gnucash-dbg

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/gnucash/usr/lib/gnucash:debian/gnucash/usr/lib/gnucash/gnucash

## gnucash 2.4.2

=== debian/changelog ===
gnucash (1:2.4.2-1ubuntu1) natty; urgency=low

  * Added fix-test.diff patch which adds $(GLIB_LIBS) to test_qof_LDADD, in
    order to fix FTBFS on natty.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 14 Feb 2011 13:19:53 +0200

gnucash (1:2.4.2-1) unstable; urgency=low

  * New upstream version 2.4.2 (LP: #717104)
  * Removed 001_disable_BUILDING_FROM_SVN_debian.patch (applied
    upstream)

 -- Micha Lenk <micha@debian.org>  Sun, 13 Feb 2011 21:55:23 +0100

gnucash (1:2.4.0-5) unstable; urgency=low

  * First upload of Gnucash 2.4.0 to Debian unstable.
  * Re-worded and improved the package description (LP: #458400)

 -- Micha Lenk <micha@debian.org>  Sun, 06 Feb 2011 21:18:15 +0100

gnucash (1:2.4.0-4) experimental; urgency=low

  * Add Suggests: for all known SQL driver backends of libdbd
  * Added news entry explaining the need for installing a SQL backend
    package for using the SQL datastore.
  * Switch HTML engine from gtkhtml to webkit
  * Add missing binaries and perl dependencies needed for online update
    of securities (closes: #610317, LP: #707760)

 -- Micha Lenk <micha@debian.org>  Wed, 26 Jan 2011 21:56:39 +0100

=== debian/control ===
Source: gnucash
Section: gnome
Priority: optional
Maintainer: Thomas Bushnell, BSG <tb@debian.org>
Uploaders: Micha Lenk <micha@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 8), intltool, pkg-config,
  libglib2.0-dev (>= 2.6.0), guile-1.6-dev, guile-1.6-slib,
  libgconf2-dev, libxml2-dev (>= 2.5.10), zlib1g-dev, libofx-dev,
  libaqbanking33-dev, libpopt-dev (>= 1.5), libgtk2.0-dev (>= 2.6),
  libgnomeui-dev (>= 2.4), libglade2-dev (>= 2.4), libgoffice-0.8-dev,
  libwebkit-dev, libltdl-dev, libdbi0-dev
Homepage: http://www.gnucash.org/
Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash.git
Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash.git

Package: gnucash
Architecture: any
Depends: gnucash-common (>= ${source:Version}), ${shlibs:Depends},
  ${misc:Depends}, ${perl:Depends}, slib, guile-1.6-slib,
  libfinance-quote-perl, libwww-perl, libhtml-tree-perl,
  libhtml-tableextract-perl, libcrypt-ssleay-perl, libdate-manip-perl
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Recommends: gnucash-docs
Replaces: gnucash-common (<< 1.9.8-1)
Description: personal and small-business financial-accounting software
 Gnucash provides accounting functions suitable for use by small businesses and
 individuals. It can track finances in multiple accounts, keeping running and
 reconciled balances. There is support for customer, vendor and employee
 processing. It has an X based graphical user interface, double entry, a
 hierarchy of accounts, expense accounts (categories), and can import Quicken
 QIF files and OFX files.

Package: gnucash-dbg
Section: debug
Priority: extra
Architecture: any
Depends: gnucash (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the accounting software Gnucash
 Gnucash provides accounting functions suitable for use by small businesses and
 individuals. It can track finances in multiple accounts, keeping running and
 reconciled balances. There is support for customer, vendor and employee
 processing. It has an X based graphical user interface, double entry, a
 hierarchy of accounts, expense accounts (categories), and can import Quicken
 QIF files and OFX files.
 .
 This package contains debugging symbols needed for debugging Gnucash.

Package: gnucash-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: gnucash (<< ${source:Version})
Recommends: gnucash (>= ${source:Version})
Description: personal and small-business financial-accounting software
 Gnucash provides accounting functions suitable for use by small businesses and
 individuals. It can track finances in multiple accounts, keeping running and
 reconciled balances. There is support for customer, vendor and employee
 processing. It has an X based graphical user interface, double entry, a
 hierarchy of accounts, expense accounts (categories), and can import Quicken
 QIF files and OFX files.
 .
 This package contains the architecture independent parts of Gnucash. It should
 not be installed directly, but is pulled in automatically by the dependencies
 of the Gnucash package.

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 		--mandir=/noinst \
 		--docdir=/noinst \
 		--with-gconf-schema-file-dir=/usr/share/gconf/schemas \
+		--with-html-engine=webkit \
 		--disable-static \
 		--enable-debug \
 		--enable-dbi \

## gnucash 2.4.5

=== debian/changelog ===
gnucash (1:2.4.5-2) unstable; urgency=low

  * Revert (build) dependencies on Guile back from 1.8 to 1.6 (re-opens:
    #623833, closes: #624468) because Guile 1.8 isn't ready for Gnucash yet
    (see Debian bugs #622280 and #624531).

 -- Micha Lenk <micha@debian.org>  Sat, 30 Apr 2011 13:47:56 +0200

gnucash (1:2.4.5-1) unstable; urgency=low

  * New upstream version 2.4.5 (LP: #769747)
    - adds $(GLIB_LIBS) to test_qof_LDADD (closes: #613376).
  * Switch (build) deps on Guile from 1.6 to 1.8 (closes: #623833).
  * Change Maintainer from Thomas Bushnell to me. Thanks for his
    contributions to the Gnucash package in the past.

 -- Micha Lenk <micha@debian.org>  Mon, 25 Apr 2011 20:28:32 +0200

gnucash (1:2.4.4-1) unstable; urgency=low

  * New upstream version 2.4.4 (closes: #618097)

 -- Micha Lenk <micha@debian.org>  Tue, 15 Mar 2011 20:45:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnucash
 Section: gnome
 Priority: optional
-Maintainer: Thomas Bushnell, BSG <tb@debian.org>
-Uploaders: Micha Lenk <micha@debian.org>
+Maintainer: Micha Lenk <micha@debian.org>
 Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 8), intltool, pkg-config,
   libglib2.0-dev (>= 2.6.0), guile-1.6-dev, guile-1.6-slib,

## gnucash 2.4.6

=== debian/changelog ===
gnucash (1:2.4.6-2) unstable; urgency=low

  * Add correct Breaks/Replaces for gnucash.desktop file moved from
    package gnucash-common to package gnucash.
  * Package is compliant to Debian Policy 3.9.2.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sat, 04 Jun 2011 23:15:31 +0200

gnucash (1:2.4.6-1) unstable; urgency=low

  * New upstream version 2.4.6
  * Ship ChangeLog.2010 in the Gnucash package (closes: #628976) by using a
    wildcard for all ChangeLog files. Thanks to Daniel Kahn Gillmor for the
    suggestion.
  * Switch (build) dependencies on Guile again from 1.6 to 1.8 (closes:
    #623833). Also build-depend directly on slib because a guile-1.8-slib
    package doesn't exist anymore.
  * Use imagemagick to convert menu icon to XPM and use that for menues to fix
    lintian error menu-icon-not-in-xpm-format.
  * Run distclean instead of clean target to make package build twice in a row
    again (closes: #598416).
  * Ship the binary gnc-fq-dump again in the gnucash package (closes: #621733,
    LP: #780102).
  * Remove all *.la files to comply with Policy 10.2 (closes: #621344).
  * Remove out-dated debian/gnucash.desktop in favour of the desktop file
    provided upstream, which is also desktop-file-validate compliant
    (closes: #493542).
  * Move desktop file from package gnucash-common to package gnucash to get rid
    of Lintian warning desktop-command-not-in-package.
  * Set debian/source/options to ignore build-time changes on auto-generated
    file src/scm/build-config.scm.
  * debian/rules:
    - Dropped 'override_dh_shlibdeps' target that called dh_shlibdeps with an
      obsolete '-l' flag.
    - Added 'override_dh_makeshlibs' target that calls dh_makeshlibs with
      -X/usr/lib/gnucash/ to get rid of a bunch of
      unused-shlib-entry-in-control-file Lintian warnings.
    - Fix clean target by making it an override for dh_auto_clean

 -- Micha Lenk <micha@debian.org>  Sat, 04 Jun 2011 18:40:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnome
 Priority: optional
 Maintainer: Micha Lenk <micha@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2.0
 Build-Depends: debhelper (>= 8), intltool, pkg-config,
-  libglib2.0-dev (>= 2.6.0), guile-1.6-dev, guile-1.6-slib,
+  libglib2.0-dev (>= 2.6.0), guile-1.8-dev, slib,
   libgconf2-dev, libxml2-dev (>= 2.5.10), zlib1g-dev, libofx-dev,
   libaqbanking33-dev, libpopt-dev (>= 1.5), libgtk2.0-dev (>= 2.6),
   libgnomeui-dev (>= 2.4), libglade2-dev (>= 2.4), libgoffice-0.8-dev,
-  libwebkit-dev, libltdl-dev, libdbi0-dev
+  libwebkit-dev, libltdl-dev, libdbi0-dev, imagemagick
 Homepage: http://www.gnucash.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash.git
 Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash.git
@@ -16,12 +16,13 @@
 Package: gnucash
 Architecture: any
 Depends: gnucash-common (>= ${source:Version}), ${shlibs:Depends},
-  ${misc:Depends}, ${perl:Depends}, slib, guile-1.6-slib,
+  ${misc:Depends}, ${perl:Depends}, slib,
   libfinance-quote-perl, libwww-perl, libhtml-tree-perl,
   libhtml-tableextract-perl, libcrypt-ssleay-perl, libdate-manip-perl
 Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
 Recommends: gnucash-docs
-Replaces: gnucash-common (<< 1.9.8-1)
+Breaks: gnucash-common (<< 1:2.4.6)
+Replaces: gnucash-common (<< 1:2.4.6)
 Description: personal and small-business financial-accounting software
  Gnucash provides accounting functions suitable for use by small businesses and
  individuals. It can track finances in multiple accounts, keeping running and
@@ -48,7 +49,6 @@
 Package: gnucash-common
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: gnucash (<< ${source:Version})
 Recommends: gnucash (>= ${source:Version})
 Description: personal and small-business financial-accounting software
  Gnucash provides accounting functions suitable for use by small businesses and

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,12 @@
 export BUILDING_FROM_SVN=false
 
 %:
-	dh  $@
+	dh $@
 
-clean:
-	[ ! -e Makefile ] || $(MAKE) clean
-	dh_clean
+override_dh_auto_clean:
 	find . -type l -exec rm -v \{\} \;
+	rm -fv debian/gnucash-icon-32x32.xpm
+	dh_auto_clean
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -36,16 +36,15 @@
 		--enable-aqbanking \
 		--enable-locale-specific-tax
 
-install:	build
-	dh install
-	dh_testdir debian/gnucash-common/usr/share/applications/gnucash.desktop
-	sed -i '/^Exec=/s/=/=\/usr\/bin\//' debian/gnucash-common/usr/share/applications/gnucash.desktop
-	dh_gconf
+override_dh_install:
+	convert src/pixmaps/gnucash-icon-32x32.png debian/gnucash-icon-32x32.xpm
+	find debian/tmp/usr/lib -name \*.la -exec rm -v \{\} \;
+	dh_install
 
 override_dh_auto_test:
 
 override_dh_strip:
 	dh_strip --dbg-package=gnucash-dbg
 
-override_dh_shlibdeps:
-	dh_shlibdeps -ldebian/gnucash/usr/lib/gnucash:debian/gnucash/usr/lib/gnucash/gnucash
+override_dh_makeshlibs:
+	dh_makeshlibs -a -X/usr/lib/gnucash/

## gnucash 2.4.7

=== debian/changelog ===
gnucash (1:2.4.7-3) unstable; urgency=low

  * debian/rules: remove override for dh_shlibdeps (Closes: #642049)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 23 Sep 2011 21:15:32 +0200

gnucash (1:2.4.7-2) unstable; urgency=low

  * Added Sébastien Villemot to Uploaders and enabled Debian Maintainer
    uploads. Welcome on board the Gnucash maintenance team, Sébastien.
  * Added Python bindings by providing a separate package python-gnucash
    (closes: #617728). Thanks to Andrew Ruthven for the initial patch and to
    Philipp Kern (pkern) for hammering out the final patch.

 -- Micha Lenk <micha@debian.org>  Sat, 17 Sep 2011 13:47:42 +0200

gnucash (1:2.4.7-1) unstable; urgency=low

  * New upstream version.
  * Switch build-dep from libdbi0-dev to 'more standard' libdbi-dev.
  * Add 0001_french_translation_fix.patch to fix case insensitivity bug in
    French locale (closes: #549479).
  * Update build dependencies to reflect transition of libwebkit-dev to
    libwebkitgtk-dev (closes: #635412).

 -- Micha Lenk <micha@debian.org>  Mon, 01 Aug 2011 22:22:19 +0200

gnucash (1:2.4.6-3) unstable; urgency=low

  * Ship directory /usr/share/gnome also in package gnucash-common to avoid
    dangling symlink in /usr/share/gnucash/ (closes: #387981).
  * (Build-)depend on guile-1.8 at least version 1.8.8+1-4~ (closes: #630096).

 -- Micha Lenk <micha@debian.org>  Tue, 14 Jun 2011 18:44:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: gnome
 Priority: optional
 Maintainer: Micha Lenk <micha@debian.org>
+Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>
+DM-Upload-Allowed: yes
 Standards-Version: 3.9.2.0
 Build-Depends: debhelper (>= 8), intltool, pkg-config,
-  libglib2.0-dev (>= 2.6.0), guile-1.8-dev, slib,
+  libglib2.0-dev (>= 2.6.0), guile-1.8-dev (>= 1.8.8+1-4~), slib,
   libgconf2-dev, libxml2-dev (>= 2.5.10), zlib1g-dev, libofx-dev,
   libaqbanking33-dev, libpopt-dev (>= 1.5), libgtk2.0-dev (>= 2.6),
   libgnomeui-dev (>= 2.4), libglade2-dev (>= 2.4), libgoffice-0.8-dev,
-  libwebkit-dev, libltdl-dev, libdbi0-dev, imagemagick
+  libwebkitgtk-dev, libltdl-dev, libdbi-dev, imagemagick,
+  python (>= 2.6.6-3~), python-dev
 Homepage: http://www.gnucash.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash.git
 Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash.git
@@ -16,7 +19,7 @@
 Package: gnucash
 Architecture: any
 Depends: gnucash-common (>= ${source:Version}), ${shlibs:Depends},
-  ${misc:Depends}, ${perl:Depends}, slib,
+  ${misc:Depends}, ${perl:Depends}, slib, guile-1.8 (>= 1.8.8+1-4~),
   libfinance-quote-perl, libwww-perl, libhtml-tree-perl,
   libhtml-tableextract-perl, libcrypt-ssleay-perl, libdate-manip-perl
 Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
@@ -61,3 +64,18 @@
  This package contains the architecture independent parts of Gnucash. It should
  not be installed directly, but is pulled in automatically by the dependencies
  of the Gnucash package.
+
+Package: python-gnucash
+Section: python
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Description: Gnucash interface for Python
+ Gnucash provides accounting functions suitable for use by small businesses and
+ individuals. It can track finances in multiple accounts, keeping running and
+ reconciled balances. There is support for customer, vendor and employee
+ processing. It has an X based graphical user interface, double entry, a
+ hierarchy of accounts, expense accounts (categories), and can import Quicken
+ QIF files and OFX files.
+ .
+ This package contains the Python bindings for Gnucash which allow you to read
+ and manipulate Gnucash data files.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export BUILDING_FROM_SVN=false
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_clean:
 	find . -type l -exec rm -v \{\} \;
@@ -34,7 +34,8 @@
 		--enable-dbi \
 		--enable-ofx \
 		--enable-aqbanking \
-		--enable-locale-specific-tax
+		--enable-locale-specific-tax \
+		--enable-python-bindings
 
 override_dh_install:
 	convert src/pixmaps/gnucash-icon-32x32.png debian/gnucash-icon-32x32.xpm
@@ -46,5 +47,10 @@
 override_dh_strip:
 	dh_strip --dbg-package=gnucash-dbg
 
+override_dh_python2:
+	dh_python2 --no-guessing-versions -V $(shell pyversions -dv)
+
+BINARY_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+
 override_dh_makeshlibs:
-	dh_makeshlibs -a -X/usr/lib/gnucash/
+	dh_makeshlibs --version-info="gnucash (= ${BINARY_VERSION})"

## gnucash 2.4.8

=== debian/changelog ===
gnucash (1:2.4.8-1) unstable; urgency=low

  * Imported Upstream version 2.4.8
  * debian/patches/0001_french_translation_fix.patch: remove, applied upstream
  * Add yelp to Recommends (Closes: #645773)
  * debian/python-gnucash.lintian-overrides: use a wildcard for Python version
  * No longer install files under /usr/share/gnucash/doc.
    Worarkound for a bug in the configure script (it does not honor --docdir).
    This change suppresses the `extra-license-file' warning from Lintian
  * Add -n option to dh_makeshlibs.
    We don't need to run ldconfig in maintainer scripts, nothing is installed in
    the dynamic library loader path. This change suppresses the
    `{postinst,postrm}-has-useless-call-to-ldconfig' warnings in Lintian
  * Do not ship an shlibs file with gnucash.
    The generated shlibs files creates a lot of
    `unused-shlib-entry-in-control-file' Lintian warnings, because many dynamic
    libraries do not have a correct SOVERSION
  * debian/patches/desktop-file.patch: new patch.
    Makes desktop file compliant with FreeDesktop specification and GNOME goal
    (Closes: #641022)
  * Add a few more READMEs to /usr/share/doc/gnucash/
  * Move gnucash manpage from gnucash-common to gnucash.
    This suppresses a `binary-without-manpage' warning from Lintian

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Thu, 27 Oct 2011 20:18:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 override_dh_install:
 	convert src/pixmaps/gnucash-icon-32x32.png debian/gnucash-icon-32x32.xpm
 	find debian/tmp/usr/lib -name \*.la -exec rm -v \{\} \;
+	rm -rf debian/tmp/usr/share/gnucash/doc # --docdir option of configure broken in 2.4 series; fixed in trunk in r20736
 	dh_install
 
 override_dh_auto_test:
@@ -52,5 +53,13 @@
 
 BINARY_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
 
+# Generate an shlibs files because otherwise dpkg-shlibdeps will fail on
+# python-gnucash. But do not distribute the shlibs file in the package, since
+# this creates a lot of lintian warning (many dynamic libraries do not have a
+# correct SOVERSION).
 override_dh_makeshlibs:
-	dh_makeshlibs --version-info="gnucash (= ${BINARY_VERSION})"
+	dh_makeshlibs -n --version-info="gnucash (= ${BINARY_VERSION})"
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	rm -f debian/gnucash/DEBIAN/shlibs

## gnucash 2.4.9

=== debian/changelog ===
gnucash (1:2.4.9-1) unstable; urgency=low

  * Imported Upstream version 2.4.9
  * debian/patches/desktop-file.patch: remove, applied upstream
  * debian/rules: enable parallel build

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 14 Jan 2012 21:00:08 +0100

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
   libfinance-quote-perl, libwww-perl, libhtml-tree-perl,
   libhtml-tableextract-perl, libcrypt-ssleay-perl, libdate-manip-perl
 Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
-Recommends: gnucash-docs
-Breaks: gnucash-common (<< 1:2.4.6)
-Replaces: gnucash-common (<< 1:2.4.6)
+Recommends: gnucash-docs, yelp
+Breaks: gnucash-common (<< 1:2.4.8-1~)
+Replaces: gnucash-common (<< 1:2.4.8-1~)
 Description: personal and small-business financial-accounting software
  Gnucash provides accounting functions suitable for use by small businesses and
  individuals. It can track finances in multiple accounts, keeping running and

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export BUILDING_FROM_SVN=false
 
 %:
-	dh $@ --with python2
+	dh $@ --parallel --with python2
 
 override_dh_auto_clean:
 	find . -type l -exec rm -v \{\} \;
@@ -36,6 +36,11 @@
 		--enable-aqbanking \
 		--enable-locale-specific-tax \
 		--enable-python-bindings
+
+# override this call, so we do not use parallelization
+# see https://bugzilla.gnome.org/show_bug.cgi?id=644896
+override_dh_auto_install:
+	dh_auto_install --max-parallel=1
 
 override_dh_install:
 	convert src/pixmaps/gnucash-icon-32x32.png debian/gnucash-icon-32x32.xpm

## gnucash 2.4.10

=== debian/changelog ===
gnucash (1:2.4.10-2~bpo60+2) squeeze-backports; urgency=low

  * Fix python-gnucash: it did not contain the *.py files (because squeeze's
    dh_python2 does not understand *.pyinstall files).
  * Use @debian.org email addresses for Dmitry Smirnov and myself.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Dec 2013 09:45:19 +0000

gnucash (1:2.4.10-2~bpo60+1) squeeze-backports; urgency=low

  [ Micha Lenk ]
  * Rebuild for squeeze-backports.
  * Change build-deps from guile-1.8-dev back to guile-1.6-dev, guile-1.6.slib,
    libdbi0-dev to libdbi-dev, and libwebkitgtk-dev to libwebkit-dev
  * debian/rules: Drop override for dh_autoreconf as the most recent debhelper
    backport doesn't know '--as-needed'
  * Add build-conflicts: guile-1.8, as the presence of this package causes
    build failures

  [ Sébastien Villemot ]
  * Do not use multi-arch path under /usr/lib
  * Add back lintian overrides for Python rpath

 -- Micha Lenk <micha@debian.org>  Mon, 21 May 2012 23:07:25 +0200

gnucash (1:2.4.10-2) unstable; urgency=low

  [ Dmitry Smirnov ]
  * Removing obsolete lintian override
  * Removing remnants of dh_make template to clean-up debian/rules
  * Removing useless debian/gnucash-common.dirs
  * Build-time generation of missing man pages
  * Use dh-autoreconf to update toolchain
  * Update to recommended debhelper compat level 9
  * Fix short description of gnucash-common
  * Introducing --as-needed to reduce overlinking
  * debian/copyright: rewrite from scratch using machine-readable format 1.0

  [ Sébastien Villemot ]
  * Bump to Standards-Version 3.9.3, no changes needed
  * Set myself as Maintainer. Add Dmitry Smirnov to Uploaders. (Closes: #639584)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 05 Mar 2012 20:44:44 +0100

gnucash (1:2.4.10-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 2.4.10
  * Add Breaks/Replaces for gconf files moved from gnucash to gnucash-common
    (Closes: #656845)
  * debian/patches/hurd-ftbfs.patch: new patch, fixes FTBFS on hurd-i386
    (Closes: #408583)

  [ Dmitry Smirnov ]
  * use dpkg-provided build flags and default hardening supporting the
    Security Hardening Build Flags release goal
  * remove build-deps already fulfilled by the dependencies of other build-deps
    (libpopt-dev, libglade2-dev and libgconf2-dev). By that occasion order them
    alphabetically.

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 08 Feb 2012 20:56:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gnucash
 Section: gnome
 Priority: optional
-Maintainer: Micha Lenk <micha@debian.org>
-Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>
+Maintainer: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2.0
-Build-Depends: debhelper (>= 8), intltool, pkg-config,
-  libglib2.0-dev (>= 2.6.0), guile-1.8-dev (>= 1.8.8+1-4~), slib,
-  libgconf2-dev, libxml2-dev (>= 2.5.10), zlib1g-dev, libofx-dev,
-  libaqbanking33-dev, libpopt-dev (>= 1.5), libgtk2.0-dev (>= 2.6),
-  libgnomeui-dev (>= 2.4), libglade2-dev (>= 2.4), libgoffice-0.8-dev,
-  libwebkitgtk-dev, libltdl-dev, libdbi-dev, imagemagick,
-  python (>= 2.6.6-3~), python-dev
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), intltool, pkg-config, dh-autoreconf,
+ guile-1.6-dev, guile-1.6-slib, imagemagick, libaqbanking33-dev,
+ libdbi0-dev, libglib2.0-dev (>= 2.6.0), libgnomeui-dev (>= 2.4),
+ libgoffice-0.8-dev, libgtk2.0-dev (>= 2.6), libofx-dev,
+ libltdl-dev, libwebkit-dev, libxml2-dev (>= 2.5.10),
+ python (>= 2.6.6-3~), python-dev, slib, zlib1g-dev
+Build-Conflicts: guile-1.8
 Homepage: http://www.gnucash.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash.git
 Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash.git
@@ -19,7 +19,7 @@
 Package: gnucash
 Architecture: any
 Depends: gnucash-common (>= ${source:Version}), ${shlibs:Depends},
-  ${misc:Depends}, ${perl:Depends}, slib, guile-1.8 (>= 1.8.8+1-4~),
+  ${misc:Depends}, ${perl:Depends}, slib, guile-1.6, guile-1.6-slib,
   libfinance-quote-perl, libwww-perl, libhtml-tree-perl,
   libhtml-tableextract-perl, libcrypt-ssleay-perl, libdate-manip-perl
 Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
@@ -53,7 +53,9 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: gnucash (>= ${source:Version})
-Description: personal and small-business financial-accounting software
+Breaks: gnucash (<< 2.4.0-1~)
+Replaces: gnucash (<< 2.4.0-1~)
+Description: common files for the financial-accounting software Gnucash
  Gnucash provides accounting functions suitable for use by small businesses and
  individuals. It can track finances in multiple accounts, keeping running and
  reconciled balances. There is support for customer, vendor and employee

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
-
-# This has to be exported to make some magic below work.
-export DH_OPTIONS=
 
 # Avoid some error messages when running "make install"
 export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
@@ -12,8 +9,11 @@
 # Hack for Gnucash build system
 export BUILDING_FROM_SVN=false
 
+# reduce overlinking
+LDFLAGS+= -Wl,--as-needed
+
 %:
-	dh $@ --parallel --with python2
+	dh $@ --parallel --with python2,autoreconf
 
 override_dh_auto_clean:
 	find . -type l -exec rm -v \{\} \;
@@ -22,8 +22,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libdir=/usr/lib/gnucash \
-		--libexecdir=/usr/lib \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/gnucash \
 		--infodir=/noinst \
 		--mandir=/noinst \
 		--docdir=/noinst \
@@ -44,6 +43,9 @@
 
 override_dh_install:
 	convert src/pixmaps/gnucash-icon-32x32.png debian/gnucash-icon-32x32.xpm
+	# generate man pages
+	find debian/tmp/usr/bin/ -type f -executable -execdir \
+		sh -c 'pod2man -s1 --stderr --utf8 {} "../../{}.1"; [ -s "../../{}.1" ] || rm "../../{}.1"' \;
 	find debian/tmp/usr/lib -name \*.la -exec rm -v \{\} \;
 	rm -rf debian/tmp/usr/share/gnucash/doc # --docdir option of configure broken in 2.4 series; fixed in trunk in r20736
 	dh_install

## gnucash 2.4.11

=== debian/changelog ===
gnucash (1:2.4.11-2) experimental; urgency=low

  * Use my @debian.org email address
  * Drop obsolete DM-Upload-Allowed field
  * Bump to Standards-Version 3.9.4, no changes needed
  * regcomp-memory-leak.patch: new patch taken from upstream trunk
    (Closes: #616515)
  * Ship gnucash-env and gnucash-make-guids in /usr/bin (Closes: #691503)
  * handle-xml-parse-failure.patch: new patch, fixes potential data loss when
    XML parsing fails (Closes: #696282)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 03 Jan 2013 20:40:43 +0100

gnucash (1:2.4.11-1) experimental; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 2.4.11
  * debian/copyright: reflect upstream changes
  * taxi1-customization_improvements.patch: refresh patch
  * gnucash-tip.patch: remove patch, applied upstream

  [ Dmitry Smirnov ]
  * adding new hardening-fortification patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 17 Sep 2012 20:28:03 +0000

gnucash (1:2.4.10-5) unstable; urgency=low

  * gnucash-tip.patch: new patch, fixes tip-of-the-day window with GCC 4.7
  * Add lintian overrides for false positives on hardening flags

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 27 Jun 2012 18:40:29 +0000

gnucash (1:2.4.10-4) unstable; urgency=low

  * Remove accidentally sneaked-in patch debian-changes-1:2.4.10-3 that
    reverted all or most of the intended patches (closes: #677467).
    Thanks to Sébastien Villemot for realizing and reporting it.

 -- Micha Lenk <micha@debian.org>  Thu, 14 Jun 2012 22:52:30 +0200

gnucash (1:2.4.10-3) unstable; urgency=low

  [ Dmitry Smirnov ]
  * Added following patches:
    - suppress_binreloc_warning.patch: removes start-up message "binreloc
      relocation support was disabled at configure time" (closes: #443774).
    - taxi0-presentation_options.patch and
      taxi1-customization_improvements.patch: improve taxinvoice templates
      (closes: #655951).
  * debian/rules: export BUILDING_FROM_SVN=true if 'autogen.sh' is present
    to switch automatically to 'trunk mode' when building from trunk.
  * debian/copyright: remove no longer required '©' characters.
  * debian/control: Tightening gnucash relationship to gnucash-common.

  [ Micha Lenk ]
  * Update build-deps after soname bump in libaqbanking.

 -- Micha Lenk <micha@debian.org>  Wed, 06 Jun 2012 21:22:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,23 @@
 Section: gnome
 Priority: optional
 Maintainer: Sébastien Villemot <sebastien@debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Uploaders: Micha Lenk <micha@debian.org>,
+           Dmitry Smirnov <onlyjob@member.fsf.org>
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), intltool, pkg-config, dh-autoreconf,
- guile-1.6-dev, guile-1.6-slib, imagemagick, libaqbanking33-dev,
- libdbi0-dev, libglib2.0-dev (>= 2.6.0), libgnomeui-dev (>= 2.4),
+ guile-1.8-dev (>= 1.8.8+1-4~), imagemagick, libaqbanking34-dev,
+ libdbi-dev, libglib2.0-dev (>= 2.6.0), libgnomeui-dev (>= 2.4),
  libgoffice-0.8-dev, libgtk2.0-dev (>= 2.6), libofx-dev,
- libltdl-dev, libwebkit-dev, libxml2-dev (>= 2.5.10),
+ libltdl-dev, libwebkitgtk-dev, libxml2-dev (>= 2.5.10),
  python (>= 2.6.6-3~), python-dev, slib, zlib1g-dev
-Build-Conflicts: guile-1.8
 Homepage: http://www.gnucash.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash.git
 Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash.git
 
 Package: gnucash
 Architecture: any
-Depends: gnucash-common (>= ${source:Version}), ${shlibs:Depends},
-  ${misc:Depends}, ${perl:Depends}, slib, guile-1.6, guile-1.6-slib,
+Depends: gnucash-common (= ${source:Version}), ${shlibs:Depends},
+  ${misc:Depends}, ${perl:Depends}, slib, guile-1.8 (>= 1.8.8+1-4~),
   libfinance-quote-perl, libwww-perl, libhtml-tree-perl,
   libhtml-tableextract-perl, libcrypt-ssleay-perl, libdate-manip-perl
 Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3

## gnucash 2.4.12

=== debian/changelog ===
gnucash (1:2.4.12-1) experimental; urgency=low

  * Imported Upstream version 2.4.12
    - correctly sort subaccounts when renumbering. (Closes: #472996)
  * handle-xml-parse-failure.patch: remove patch, applied upstream
  * Refresh other patches
  * Add Build-Conflicts against guile-2.0, since it does not support SLIB (yet)
    (Closes: #697720)
  * Bump build-dependency on python-dev to >= 2.7.3-13. GnuCash configure
    script needs the pkg-config script python.pc which is present in that
    version

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 31 Mar 2013 14:59:43 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  libdbi-dev, libglib2.0-dev (>= 2.6.0), libgnomeui-dev (>= 2.4),
  libgoffice-0.8-dev, libgtk2.0-dev (>= 2.6), libofx-dev,
  libltdl-dev, libwebkitgtk-dev, libxml2-dev (>= 2.5.10),
- python (>= 2.6.6-3~), python-dev, slib, zlib1g-dev
+ python (>= 2.6.6-3~), python-dev (>= 2.7.3-13), slib, zlib1g-dev
+Build-Conflicts: guile-2.0
 Homepage: http://www.gnucash.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash.git
 Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash.git

## gnucash 2.4.13

=== debian/changelog ===
gnucash (1:2.4.13-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 2.4.13
  * Remove version on python-dev B-D.
    The gnucash configure script is again able to deal with the absence of a
    pkg-config script for python

  [ Dmitry Smirnov ]
  * Re-format (expand) list of Build-Depends
  * removing unnecessary versioned dependencies
  * updating my email address; bumping copyright years
  * use canonical Vcs URLs

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 04 May 2013 16:58:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,29 @@
 Priority: optional
 Maintainer: Sébastien Villemot <sebastien@debian.org>
 Uploaders: Micha Lenk <micha@debian.org>,
-           Dmitry Smirnov <onlyjob@member.fsf.org>
+           Dmitry Smirnov <onlyjob@debian.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), intltool, pkg-config, dh-autoreconf,
- guile-1.8-dev (>= 1.8.8+1-4~), imagemagick, libaqbanking34-dev,
- libdbi-dev, libglib2.0-dev (>= 2.6.0), libgnomeui-dev (>= 2.4),
- libgoffice-0.8-dev, libgtk2.0-dev (>= 2.6), libofx-dev,
- libltdl-dev, libwebkitgtk-dev, libxml2-dev (>= 2.5.10),
- python (>= 2.6.6-3~), python-dev (>= 2.7.3-13), slib, zlib1g-dev
+ guile-1.8-dev (>= 1.8.8+1-4~),
+ imagemagick,
+ libaqbanking34-dev,
+ libdbi-dev,
+ libglib2.0-dev,
+ libgnomeui-dev,
+ libgoffice-0.8-dev,
+ libgtk2.0-dev,
+ libofx-dev,
+ libltdl-dev,
+ libwebkitgtk-dev,
+ libxml2-dev,
+ python,
+ python-dev,
+ slib,
+ zlib1g-dev
 Build-Conflicts: guile-2.0
 Homepage: http://www.gnucash.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash.git
-Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnucash/gnucash.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnucash/gnucash.git
 
 Package: gnucash
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
 
 # Hack for Gnucash build system
-export BUILDING_FROM_SVN=false
+export BUILDING_FROM_SVN=$(if $(wildcard autogen.sh),yes,no)
 
 # reduce overlinking
 LDFLAGS+= -Wl,--as-needed
@@ -19,6 +19,9 @@
 	find . -type l -exec rm -v \{\} \;
 	rm -fv debian/gnucash-icon-32x32.xpm
 	dh_auto_clean
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
